# Copyright © VNG Realisatie 2023
# Licensed under the EUPL

version: "2"
sql:
  - engine: "postgresql"
    queries: "./sql"
    schema: "../migrations/sql"
    gen:
      go:
        package: "queries"
        sql_package: "pgx/v5"
        out: "."
        emit_prepared_queries: true
        emit_empty_slices: true
        emit_result_struct_pointers: true
        emit_params_struct_pointers: true
        emit_pointers_for_null_types: true
        emit_enum_valid_method: true
        overrides:
          - go_type: "github.com/gofrs/uuid.UUID"
            db_type: "uuid"
